更新 deviceManagementResourceAccessProfileAssignment
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 deviceManagementResourceAccessProfileAssignment 对象 的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementServiceConfig.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementServiceConfig.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/resourceAccessProfiles/{deviceManagementResourceAccessProfileBaseId}/assignments/{deviceManagementResourceAccessProfileAssignmentId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 deviceManagementResourceAccessProfileAssignment 对象的 JSON 表示形式。
下表显示创建 deviceManagementResourceAccessProfileAssignment 时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | 工作分配的唯一标识符 |
| intent | deviceManagementResourceAccessProfileIntent | 资源访问配置文件的分配意图。 可取值为:apply、remove。 |
| target | deviceAndAppManagementAssignmentTarget | 资源访问配置文件的分配目标。 |
| sourceId | String | 工作分配的源的标识符。 |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK deviceManagementResourceAccessProfileAssignment 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/beta/deviceManagement/resourceAccessProfiles/{deviceManagementResourceAccessProfileBaseId}/assignments/{deviceManagementResourceAccessProfileAssignmentId}
Content-type: application/json
Content-length: 463
{
"@odata.type": "#microsoft.graph.deviceManagementResourceAccessProfileAssignment",
"intent": "remove",
"target": {
"@odata.type": "microsoft.graph.configurationManagerCollectionAssignmentTarget",
"deviceAndAppManagementAssignmentFilterId": "Device And App Management Assignment Filter Id value",
"deviceAndAppManagementAssignmentFilterType": "include",
"collectionId": "Collection Id value"
},
"sourceId": "Source Id value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 512
{
"@odata.type": "#microsoft.graph.deviceManagementResourceAccessProfileAssignment",
"id": "4ebb8d4e-8d4e-4ebb-4e8d-bb4e4e8dbb4e",
"intent": "remove",
"target": {
"@odata.type": "microsoft.graph.configurationManagerCollectionAssignmentTarget",
"deviceAndAppManagementAssignmentFilterId": "Device And App Management Assignment Filter Id value",
"deviceAndAppManagementAssignmentFilterType": "include",
"collectionId": "Collection Id value"
},
"sourceId": "Source Id value"
}
反馈
提交和查看相关反馈